@import url('https://fonts.googleapis.com/css?family=Open+Sans:300,400');

@import 'theme';

* {
  box-sizing: border-box;
  -webkit-font-smoothing: subpixel-antialiased;
}

html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  -webkit-tap-highlight-color: transparent;
}

body,
.body {
  font-family: 'Open Sans', sans-serif;
  font-size: $font-M;
  font-style: normal;
  font-weight: 400;
  background-color: darken($bg, 5%);
}

a,
.a {
  display: inline-block;
  text-decoration: underline;
  color: darken($primary, 7%);
  transition: all 150ms;
}
a:active,
a:focus,
a:hover,
.a:active,
.a:focus,
.a:hover {
  color: $primary;
}
a:active,
.a:active {
  filter: drop-shadow($shade-S);
  transform: $touch;
}

button,
.button {
  display: inline-block;
  margin: 0;
  padding: ($space / 2 - 2) ($space - 2);
  border: $border solid darken($bg, 14%);
  border-radius: $radius;
  outline: 0;
  font: inherit;
  text-align: center;
  text-decoration: none;
  background-color: darken($bg, 3%);
  box-shadow: $shade-S;
  color: lighten($fg, 28%);
  transition: all 150ms;
  cursor: pointer;
}
button:focus,
button:hover,
.button:focus,
.button:hover {
  border-color: $primary;
  background-color: darken($bg, 7%);
  box-shadow: $shade-M;
  color: $fg;
}
button:active,
.button:active {
  box-shadow: none;
  filter: drop-shadow($shade-S);
  transform: $touch;
}
button:disabled,
button:disabled:active,
button:disabled:focus,
button:disabled:hover,
.button:disabled,
.button:disabled:active,
.button:disabled:focus,
.button:disabled:hover {
  border-color: transparent;
  background-color: darken($bg, 7%);
  box-shadow: none;
  color: lighten($fg, 42%);
  filter: none;
  transform: none;
  cursor: default;
}

code,
.code {
  display: inline-block;
  padding: ($space / 6) ($space / 3);
  border-radius: $radius;
  font-family: consolas, monospace;
  background-color: darken($bg, 7%);
}

hr,
.hr {
  display: block;
  height: $border;
  width: 100%;
  border: 0;
  border-radius: 50%;
  outline: 0;
  background: lighten($fg, 84%)
    linear-gradient(lighten($fg, 77%) 50%, lighten($fg, 91%) 50%);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  display: block;
  padding: 0;
  font-weight: 700;
}
h1,
h2,
h3 {
  margin: 0 0 $space / 2;
}
h4,
h5,
h6 {
  margin: 0 0 $space / 4;
}

input,
textarea,
.input,
.textarea {
  display: inline-block;
  margin: 0;
  padding: ($space / 10) 0 ($space / 20);
  width: inherit;
  max-width: inherit;
  min-width: inherit;
  height: inherit;
  max-height: inherit;
  min-height: inherit;
  border: 0;
  border-radius: 0;
  border-bottom: $border solid darken($bg, 14%);
  outline: 0;
  font: inherit;
  background-color: transparent;
  color: lighten($fg, 28%);
  box-shadow: none;
  transition: all 200ms ease;
}
input:active,
input:focus,
input:hover,
textarea:active,
textarea:focus,
textarea:hover,
.input:active,
.input:focus,
.input:hover,
.textarea:active,
.textarea:focus,
.textarea:hover {
  background-color: $bg;
  border-color: $primary;
  color: $fg;
}
input:disabled,
textarea:disabled,
.input:disabled,
.textarea:disabled {
  border-color: darken($bg, 14%);
  background-color: darken($bg, 3%);
  box-shadow: none;
  color: lighten($fg, 42%);
  filter: none;
  transform: none;
  cursor: default;
}
